## libgpewidget 0.117

=== debian/changelog ===
libgpewidget (0.117-6) unstable; urgency=low

  * Patch gpehelp.c to include top level glib.h instead of individual
    header which is no longer supported. (Closes: #665569)

 -- Neil Williams <codehelp@debian.org>  Sat, 24 Mar 2012 20:17:07 +0000

libgpewidget (0.117-5) unstable; urgency=low

  * Convert to Multi-Arch paths

 -- Neil Williams <codehelp@debian.org>  Tue, 07 Feb 2012 12:25:39 +0000

libgpewidget (0.117-4) unstable; urgency=low

  * Fix build-indep for potential release goal. (lintian)
  * Enhance Replace rule to cover all builds of 0.117-2

 -- Neil Williams <codehelp@debian.org>  Sun, 06 Nov 2011 11:03:37 +0000

libgpewidget (0.117-3) unstable; urgency=low

  * Extend fix in 0.117-2 to include patch for the infoprint target
    with the same -lX11 addition. (Closes: #555182)
  * Add to the clean target to stop source format 3 making unnecessary
    diffs
  * Move architecture independent data out of the shared library
    package.

 -- Neil Williams <codehelp@debian.org>  Sun, 20 Feb 2011 13:17:08 +0000

libgpewidget (0.117-2) unstable; urgency=low

  * Migrate to source format 3.0 (quilt) for .tar.bz2 support.
  * Add vcs metadata for pkg-gpe.
  * Add -lX11 linkage and Wl,--no-add-needed. (Closes: #555182)

 -- Neil Williams <codehelp@debian.org>  Mon, 01 Mar 2010 18:42:46 +0000

libgpewidget (0.117-1) unstable; urgency=low

  * New upstream release
  * Drop Debian patches and dpatch dependency as new upstream version
    contains the effect of the previous patches.
  * Tweak rules and control for lintian warnings (doc-base upgrades).
  * Update standards version. (No changes)
  * Drop old Build-Depends no longer used: recode, libxml-perl and old
    dpkg-dev

 -- Neil Williams <codehelp@debian.org>  Sun, 03 May 2009 22:10:39 +0100

libgpewidget (0.115-5) unstable; urgency=low

  * ensure dpatch is cleaned so that both patches are applied

 -- Neil Williams <codehelp@debian.org>  Wed, 16 Jan 2008 18:02:44 +0000

libgpewidget (0.115-4) unstable; urgency=low

  * Fix override disparity
  * Update standards version (no changes)
  * Implement dpatch support to create a patch adding x11 to the pkg-
    config check. (Links libgpewidget1 against -lX11 to prevent missing
    symbols)
  * Expand debian/xcontrol to fully separate build tools from build
    libraries
  * No need to build doc package twice - remove duplication in
    debian/rules
  * Disable cairo support for gpeclockface to restore working behaviour

 -- Neil Williams <codehelp@debian.org>  Wed, 16 Jan 2008 17:27:59 +0000

libgpewidget (0.115-3) unstable; urgency=low

  * Include cross build support
  * Use HomePage field and set Pkg-gpe-maintainers in Uploaders
  * Only use make distclean if a Makefile exists

 -- Neil Williams <codehelp@debian.org>  Mon, 19 Nov 2007 18:35:17 +0000

libgpewidget (0.115-2) unstable; urgency=low

  * Add libgpewidget1-dbg and libgpewidget-doc packages. 

 -- Neil Williams <codehelp@debian.org>  Tue, 24 Apr 2007 08:20:39 +0100

libgpewidget (0.115-1) unstable; urgency=low

  * New upstream release

 -- Neil Williams <codehelp@debian.org>  Sun, 15 Apr 2007 09:02:45 +0100

libgpewidget (0.114-2) unstable; urgency=low

  * Package the translations 

 -- Neil Williams <codehelp@debian.org>  Mon, 15 Jan 2007 18:58:26 +0000

libgpewidget (0.114-1) unstable; urgency=low

  [ Philippe De Swert ]
  * update to upstream 0.114
  * changelog

  [ Neil Williams ]
  * Change to new maintainer with a big thankyou to Phil for previous versions
    in Debian.
  * Bump to standards version 3.7.2 (no changes)
  * Allow easier binary NMU's with binary:Version (requires dpkg-dev (>=
    1.13.19) added to Build-Depends).
  * Add homepages to descriptions.
  * Add missing content to debian/copyright.
  * Incorporate NMU by Amaya Rodrigo Sastre <amaya@debian.org> - thanks Amaya.

 -- Neil Williams <codehelp@debian.org>  Thu, 21 Dec 2006 11:24:40 +0000

libgpewidget (0.110-1) unstable; urgency=low

  * update to 0.110
  * update dependencies to include intltool and the needed perl XML::Parser

 -- Philippe De Swert <philippedeswert@scarlet.be>  Fri, 14 Apr 2006 13:59:48 +0300

libgpewidget (0.88-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove Build-Dependency on xlibs-dev (Closes: #347134).
  * Credit and Big Thanks to Justin Pryzby <justinpryzby@users.sourceforge.net>
    for the patch and testing.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 21 Jan 2006 21:02:21 +0100

libgpewidget (0.88-2) unstable; urgency=high

  * Disable Cairo for inclusion in sarge; closes: #309933

 -- Phil Blundell <pb@debian.org>  Sun, 29 May 2005 17:04:04 +0000

libgpewidget (0.88-1) unstable; urgency=low

  * New upstream version, closes: #262315
  * Add build dependency on libcairo1-dev.

 -- Phil Blundell <pb@debian.org>  Sun, 15 Aug 2004 23:55:06 +0100

libgpewidget (0.73-1) unstable; urgency=low

  * New upstream version.
  * Link explicitly with Xrender.  (Closes: #215575)

 -- Philip Blundell <pb@nexus.co.uk>  Mon, 13 Oct 2003 19:33:09 +0100

libgpewidget (0.72-1) unstable; urgency=low

  * New upstream version.

 -- Phil Blundell <pb@debian.org>  Sat, 27 Sep 2003 11:39:02 +0100

libgpewidget (0.70-2) unstable; urgency=low

  * Include .pc file as well.

 -- Philip Blundell <pb@nexus.co.uk>  Tue, 16 Sep 2003 19:25:11 +0100

libgpewidget (0.70-1) unstable; urgency=low

  * New upstream release.
  * Make libgpewidget-dev depend on libgtk2.0-dev.

 -- Philip Blundell <pb@nexus.co.uk>  Tue, 16 Sep 2003 00:24:50 +0100

libgpewidget (0.66-1) unstable; urgency=low

  * New upstream version.
  * Uploading to unstable since dependency on XRENDER has been relaxed.

 -- Philip Blundell <pb@nexus.co.uk>  Fri,  5 Sep 2003 18:53:54 +0100

libgpewidget (0.65-1) experimental; urgency=low

  * New upstream version.

 -- Philip Blundell <pb@debian.org>  Fri, 22 Aug 2003 23:02:31 +0100

libgpewidget (0.62-1) unstable; urgency=low

  * New upstream version, closes: #196989


