=== debian/control ===
Source: libgpewidget
Section: libs
Priority: optional
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Debian GPE team <pkg-gpe-maintainers@lists.alioth.debian.org>,
 Moray Allan <moray@debian.org>, Phil Blundell <pb@debian.org>,
 Philippe De Swert <philippedeswert@scarlet.be>
Build-Depends: debhelper (>> 9.0.0), docbook-xml, gtk-doc-tools, intltool,
 libcairo2-dev, libgtk2.0-dev, libx11-dev, libxrender-dev,
 x11proto-core-dev
Standards-Version: 3.9.3
Homepage: http://www.kernelconcepts.de/~fuchs/gpe/doc/libgpewidget/
Vcs-SVN: svn://svn.debian.org/pkg-gpe/trunk/libgpewidget/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gpe/trunk/libgpewidget/trunk/

Package: libgpewidget1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libgpewidget-data
Multi-Arch: same
Suggests: gpe-icons
Description: GPE Palmtop Environment widget library
 This library contains Gtk+ widgets and other common code shared by
 multiple GPE applications.

Package: libgpewidget-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgpewidget1 (= ${binary:Version}), ${misc:Depends}, libgtk2.0-dev
Description: Development files for libgpewidget
 This package contains headers and other files required to compile
 GPE Palmtop Environment applications.

Package: libgpewidget-data
Section: utils
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: libgpewidget1 (<< 0.117-3)
Description: data files for libgpewidget
 This package contains support graphics and translation data
 for GPE Palmtop Environment applications.

Package: libgpewidget1-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libgpewidget1 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for libgpewidget
 This package provides the debugging symbols that may be
 useful when developing GPE Palmtop Environment applications.

Package: libgpewidget-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Recommends: dwww, devhelp
Description: GPE Palmtop Environment widget library Reference Manual
 This package provides the API documentation for libgpewidget.
