## libgpewidget 0.118

=== debian/changelog ===
libgpewidget (0.118-2) unstable; urgency=low

  * Clean away aclocal.m4 and re-run aclocal and automake --add-missing
    to ensure autoreconf works and updates outdated config.guess and
    config.sub. (Closes: #702532)
  * Make clean target much more precise to retain xml files
    included into the SGML. (Closes: #721640)

 -- Neil Williams <codehelp@debian.org>  Tue, 17 Sep 2013 22:41:27 +0100

libgpewidget (0.118-1) unstable; urgency=low

  * New upstream release.
  * Drop previous patches now included upstream.
  * Add hardening flags.
  * Add hardening.patch for missing format specifiers.

 -- Neil Williams <codehelp@debian.org>  Sun, 26 May 2013 16:16:01 +0100
