=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Debian GPE team <pkg-gpe-maintainers@lists.alioth.debian.org>,
  Moray Allan <moray@debian.org>, Phil Blundell <pb@debian.org>,
  Philippe De Swert <philippedeswert@scarlet.be>
-Build-Depends: debhelper (>> 9.0.0), docbook-xml, gtk-doc-tools, intltool,
+Build-Depends: debhelper (>> 9.0.0), autoconf, automake, docbook-xml,
+ gtk-doc-tools, intltool,
  libcairo2-dev, libgtk2.0-dev, libx11-dev, libxrender-dev,
  x11proto-core-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.kernelconcepts.de/~fuchs/gpe/doc/libgpewidget/
 Vcs-SVN: svn://svn.debian.org/pkg-gpe/trunk/libgpewidget/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gpe/trunk/libgpewidget/trunk/
