=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -21,7 +26,13 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	./configure --enable-gtk-doc --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) $(CROSS)
+	$(RM) aclocal.m4 configure
+	aclocal
+	libtoolize -f
+	automake --add-missing
+	autoreconf -fs
+	./configure --enable-gtk-doc --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) $(CROSS) \
+		CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 	touch configure-stamp
 
 build: build-arch build-indep
@@ -40,7 +51,14 @@
 	$(RM) doc/libgpewidget-scan.*
 	$(RM) doc/libgpewidget.types
 	$(RM) doc/*.txt patch-stamp
-	$(RM) -r doc/html doc/xml
+	$(RM) doc/xml/color-slider.xml doc/xml/colordialog.xml doc/xml/colorrenderer.xml doc/xml/dirbrowser.xml
+	$(RM) doc/xml/errorbox.xml doc/xml/gpeclockface.xml doc/xml/gpedialog.xml doc/xml/gpehelp.xml doc/xml/gpeiconlistitem.xml
+	$(RM) doc/xml/gpeiconlistview.xml doc/xml/gpetimesel.xml doc/xml/gpewindowlist.xml doc/xml/gtkdatecombo.xml
+	$(RM) doc/xml/gtksimplemenu.xml doc/xml/infoprint.xml doc/xml/init.xml doc/xml/link-warning.xml doc/xml/pixmaps.xml 
+	$(RM) doc/xml/popup.xml doc/xml/popup_menu.xml doc/xml/question.xml doc/xml/smallbox.xml doc/xml/spacing.xml 
+	$(RM) doc/xml/stylus.xml doc/xml/translabel.xml doc/xml/tray.xml 
+	$(RM) -r Makefile.in aclocal.m4 config.guess config.sub configure depcomp doc/Makefile.in install-sh ltmain.sh missing
+	$(RM) -r doc/html INSTALL
 	$(RM) doc/tmpl/color-slider.sgml doc/tmpl/colordialog.sgml \
 	doc/tmpl/dirbrowser.sgml doc/tmpl/errorbox.sgml \
 	doc/tmpl/gpeclockface.sgml doc/tmpl/gpehelp.sgml \
