=== debian/watch ===
#format
version=3
http://gpe.linuxtogo.org/download/source/libgpewidget-(.*)\.tar\.bz2
