## libgpewidget 2.8%2bmaemo%2bsvn20071120-1

=== debian/changelog ===
libgpewidget (2.8+maemo+svn20071120-1) unstable; urgency=low

  * MUD build using revision {20071120}

 -- Graham Cobb <g+770@cobb.uk.net>  Tue, 20 Nov 2007 02:42:53 +0000
