=== debian/control ===
Source: libgpewidget
Section: user/libs
Priority: optional
Maintainer: Graham Cobb <g+770@cobb.uk.net>
Build-Depends: debhelper (>> 3.0.0), libgtk2.0-dev, xlibs-dev, recode, libxrender-dev
Standards-Version: 3.6.0

Package: libgpewidget-dev
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: user/libdevel
Architecture: any
Depends: libgpewidget1 (= ${Source-Version}), libgtk2.0-dev
Description: GPE packaged with mud

Package: libgpewidget1
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: user/libs
Architecture: any
Depends: ${shlibs:Depends}
Suggests: gpe-icons
Description: GPE packaged with mud
