## libgpewidget 2.8%2bmaemo%2bsvn20081212-3

=== Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






SOURCES = $(libgpewidget_la_SOURCES) $(infoprint_SOURCES)

srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/libgpewidget
pkglibdir = $(libdir)/libgpewidget
pkgincludedir = $(includedir)/libgpewidget
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnueabi
am__append_1 = -DIS_HILDON
#am__append_2 = -DHAVE_CAIRO
bin_PROGRAMS = infoprint$(EXEEXT)
DIST_COMMON = $(am__configure_deps) $(gpeinclude_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/gpe-dist.am $(srcdir)/gpe-tp.am \
	$(srcdir)/libgpewidget-uninstalled.pc.in \
	$(srcdir)/libgpewidget.pc.in $(top_srcdir)/configure \
	COPYING.LIB ChangeLog config.guess config.sub depcomp \
	install-sh ltmain.sh missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES = libgpewidget.pc libgpewidget-uninstalled.pc
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(backupcfgdir)" "$(DESTDIR)$(pixmapdir)" "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(gpeincludedir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
libgpewidget_la_LIBADD =
am_libgpewidget_la_OBJECTS = gtkdatecombo.lo errorbox.lo init.lo \
	pixmaps.lo smallbox.lo dirbrowser.lo picturebutton.lo \
	stylus.lo screensize.lo question.lo gtksimplemenu.lo \
	spacing.lo tray.lo translabel.lo popup.lo popup_menu.lo \
	gpetimesel.lo gpeiconlistitem.lo gpeclockface.lo \
	gpewindowlist.lo gpehelp.lo gpeiconlistview.lo \
	gpewindowbits.lo infoprint.lo gpedialog.lo color-slider.lo \
	colordialog.lo colorrenderer.lo
libgpewidget_la_OBJECTS = $(am_libgpewidget_la_OBJECTS)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_infoprint_OBJECTS = infoprint-main.$(OBJEXT)
infoprint_OBJECTS = $(am_infoprint_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/color-slider.Plo \
	./$(DEPDIR)/colordialog.Plo \
	./$(DEPDIR)/colorrenderer.Plo \
	./$(DEPDIR)/dirbrowser.Plo \
	./$(DEPDIR)/errorbox.Plo \
	./$(DEPDIR)/gpeclockface.Plo \
	./$(DEPDIR)/gpedialog.Plo ./$(DEPDIR)/gpehelp.Plo \
	./$(DEPDIR)/gpeiconlistitem.Plo \
	./$(DEPDIR)/gpeiconlistview.Plo \
	./$(DEPDIR)/gpetimesel.Plo \
	./$(DEPDIR)/gpewindowbits.Plo \
	./$(DEPDIR)/gpewindowlist.Plo \
	./$(DEPDIR)/gtkdatecombo.Plo \
	./$(DEPDIR)/gtksimplemenu.Plo \
	./$(DEPDIR)/infoprint-main.Po \
	./$(DEPDIR)/infoprint.Plo ./$(DEPDIR)/init.Plo \
	./$(DEPDIR)/picturebutton.Plo \
	./$(DEPDIR)/pixmaps.Plo ./$(DEPDIR)/popup.Plo \
	./$(DEPDIR)/popup_menu.Plo \
	./$(DEPDIR)/question.Plo \
	./$(DEPDIR)/screensize.Plo \
	./$(DEPDIR)/smallbox.Plo ./$(DEPDIR)/spacing.Plo \
	./$(DEPDIR)/stylus.Plo ./$(DEPDIR)/translabel.Plo \
	./$(DEPDIR)/tray.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libgpewidget_la_SOURCES) $(infoprint_SOURCES)
DIST_SOURCES = $(libgpewidget_la_SOURCES) $(infoprint_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
backupcfgDATA_INSTALL = $(INSTALL_DATA)
pixmapDATA_INSTALL = $(INSTALL_DATA)
pkgconfigDATA_INSTALL = $(INSTALL_DATA)
DATA = $(backupcfg_DATA) $(pixmap_DATA) $(pkgconfig_DATA)
gpeincludeHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(gpeinclude_HEADERS)
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/scratchbox/mud-builder/build/libgpewidget/libgpewidget-2.8+maemo+svn20081212/missing --run aclocal-1.8
ALL_LINGUAS = cs da de es fi fr ga hu id ja ky lt nl pl pt pt_BR ro rw sk sl sr sv vi wa zh_CN zh_TW 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/scratchbox/mud-builder/build/libgpewidget/libgpewidget-2.8+maemo+svn20081212/missing --run tar
AR = arm-linux-gnueabi-ar
AUTOCONF = ${SHELL} /home/scratchbox/mud-builder/build/libgpewidget/libgpewidget-2.8+maemo+svn20081212/missing --run autoconf
AUTOHEADER = ${SHELL} /home/scratchbox/mud-builder/build/libgpewidget/libgpewidget-2.8+maemo+svn20081212/missing --run autoheader
AUTOMAKE = ${SHELL} /home/scratchbox/mud-builder/build/libgpewidget/libgpewidget-2.8+maemo+svn20081212/missing --run automake-1.8
AWK = gawk
CAIRO_FALSE = 
CAIRO_TRUE = #
CATALOGS =  cs.gmo da.gmo de.gmo es.gmo fi.gmo fr.gmo ga.gmo hu.gmo id.gmo ja.gmo ky.gmo lt.gmo nl.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo rw.gmo sk.gmo sl.gmo sr.gmo sv.gmo vi.gmo wa.gmo zh_CN.gmo zh_TW.gmo
CATOBJEXT = .gmo
CC = arm-linux-gnueabi-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = arm-linux-gnueabi-gcc -E
CPPFLAGS = 
CXX = arm-linux-gnueabi-g++
CXXCPP = arm-linux-gnueabi-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DPACKAGE_NAME=\"libgpewidget\" -DPACKAGE_TARNAME=\"libgpewidget\" -DPACKAGE_VERSION=\"0.117\" -DPACKAGE_STRING=\"libgpewidget\ 0.117\" -DPACKAGE_BUGREPORT=\"gpe-list@linuxtogo.org\" -DPACKAGE=\"libgpewidget\" -DVERSION=\"0.117\" -DGETTEXT_PACKAGE=\"libgpewidget\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LOCALE_H=1 -DHAVE_LC_MESSAGES=1 -DHAVE_BIND_TEXTDOMAIN_CODESET=1 -DHAVE_GETTEXT=1 -DHAVE_DCGETTEXT=1 -DENABLE_NLS=1 -DHAVE_DLFCN_H=1 -DHILDON_VER=2 
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
ENABLE_CAIRO = no
ENABLE_HILDON = true
EXEEXT = 
F77 = 
FFLAGS = 
GETTEXT_PACKAGE = libgpewidget
GMOFILES =  cs.gmo da.gmo de.gmo es.gmo fi.gmo fr.gmo ga.gmo hu.gmo id.gmo ja.gmo ky.gmo lt.gmo nl.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo rw.gmo sk.gmo sl.gmo sr.gmo sv.gmo vi.gmo wa.gmo zh_CN.gmo zh_TW.gmo
GMSGFMT = /scratchbox/tools/bin/msgfmt
GPEWIDGET_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12   $(am__append_1) $(am__append_2)
GPEWIDGET_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
HILDON_CFLAGS = -DMAEMO_CHANGES -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
HILDON_FALSE = #
HILDON_LIBS = -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
HILDON_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
INTLTOOL_CAVES_RULE = %.caves:     %.caves.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DESKTOP_RULE = %.desktop:   %.desktop.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DIRECTORY_RULE = %.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_EXTRACT = $(top_builddir)/intltool-extract
INTLTOOL_ICONV = /usr/bin/iconv
INTLTOOL_KBD_RULE = %.kbd:       %.kbd.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -m -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_KEYS_RULE = %.keys:      %.keys.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -k -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_MERGE = $(top_builddir)/intltool-merge
INTLTOOL_MSGFMT = /scratchbox/tools/bin/msgfmt
INTLTOOL_MSGMERGE = /scratchbox/tools/bin/msgmerge
INTLTOOL_OAF_RULE = %.oaf:       %.oaf.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -p $(top_srcdir)/po $< $@
INTLTOOL_PERL = /scratchbox/tools/bin/perl
INTLTOOL_PONG_RULE = %.pong:      %.pong.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_PROP_RULE = %.prop:      %.prop.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SCHEMAS_RULE = %.schemas:   %.schemas.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -s -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVER_RULE = %.server:    %.server.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVICE_RULE = %.service: %.service.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SHEET_RULE = %.sheet:     %.sheet.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SOUNDLIST_RULE = %.soundlist: %.soundlist.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
