=== debian/changelog ===
libgpewidget (2.8+maemo+svn20081212-3) unstable; urgency=low

  * MUD build using revision {20081212}

 -- Graham Cobb <g+770@cobb.uk.net>  Mon, 15 Dec 2008 15:59:02 +0000
